RubyGem Versions Used to Test the Exercises

abstract_type (0.0.7)
adamantium (0.2.0)
aruba (0.10.2)
ast (2.1.0)
bigdecimal (1.2.0)
bson (3.2.6, 1.12.4)
bson_ext (1.12.4)
builder (3.2.2)
bundler (1.10.6)
childprocess (0.5.8)
concord (0.1.5)
contracts (0.12.0)
cucumber (2.1.0)
cucumber-core (1.3.0)
diff-lcs (1.2.5)
docile (1.1.5)
equalizer (0.0.11)
facets (3.0.0)
ffi (1.9.10)
gherkin3 (3.1.2)
gli (2.13.3)
ice_nine (0.11.1)
io-console (0.4.2)
json (1.8.3, 1.8.2)
memoizable (0.4.2)
mongo (2.1.2)
multi_json (1.11.2)
multi_test (0.1.2)
nori (2.6.0)
parser (2.2.3.0)
private_attr (1.1.0)
procto (0.0.2)
psych (2.0.0)
rack (1.6.4)
rack-protection (1.5.3)
rainbow (2.0.0)
rake (10.4.2)
rdoc (4.1.0)
reek (3.6.1)
rspec (3.4.0)
rspec-core (3.4.0)
rspec-expectations (3.4.0)
rspec-mocks (3.4.0)
rspec-support (3.4.0)
settingslogic (2.0.9)
simplecov (0.10.0)
simplecov-html (0.10.0)
sinatra (1.4.6)
thor (0.19.1)
thread_safe (0.3.5)
tilt (2.0.1)
unparser (0.2.4)
webrick (1.3.1)
xml-simple (1.1.5)
yard (0.8.7.6)

MongoDB Version Installed and Running

3.0.6